List ML Repos
curl --request GET \
--url https://{controlPlaneURL}/api/ml/v1/ml-repos \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/ml/v1/ml-repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/ml/v1/ml-repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tenant_name": "truefoundry",
"manifest": {
"name": "devtest-finetuning-test-420",
"type": "ml-repo",
"description": "This is a test MLRepo for fine-tuning experiments.",
"collaborators": [
{
"role_id": "mlf-project-admin",
"subject": "user:user1@example.com"
},
{
"role_id": "mlf-project-admin",
"subject": "team:teamb"
}
],
"storage_integration_fqn": "truefoundry:aws:aws-4:blob-storage:devtest-test-1"
},
"created_by_subject": {
"subjectId": "cm1xxxp",
"subjectSlug": "test-user@truefoundry.com",
"subjectType": "user",
"subjectDisplayName": "Test User"
},
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"id": "420",
"num_runs": 10,
"artifact_type_counts": {},
"datasets_count": 10
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}MLRepos
List ML Repos
List ML Repos with optional filtering by name.
GET
/
api
/
ml
/
v1
/
ml-repos
List ML Repos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Name of the ML Repo to filter by
Maximum number of ML Repos to return
Number of ML Repos to skip for pagination
Was this page helpful?
⌘I